<nav class="navb navbar navbar-expand-md navbar-dark bg-faded">
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto row">
        <!-- active -->
        <li class="nav-item" routerLinkActive="active">
            <a class="nav-link" [routerLink]="['/home']">Regresar</a>
        </li>
        </ul>
    </div>
</nav><br/>
<div class="row container p-2 m-5">
    <div>
        <h1 class="tit text-center">Compras</h1>
    </div>
    <div class="col-12" style="margin-top: 5%">  
        <div class="row">
            <div class="col-1"></div>
            <div class="col-4">
                <div class="form-group">
                    <label for="">Fecha</label>
                    <input type="datetime-local" [(ngModel)]="fecha" class="form-control">
                </div><br/>
                <div class="form-group ">
                    <label for="">Producto</label>
                    <select class="form-control" (change)="price()" [(ngModel)]="compra.producto">
                        <option value="">Seleccionar</option>
                        <option name="producto" *ngFor="let producto of productos" value="{{producto._id}}-{{producto.costo_venta}}-{{producto.name}}">{{ producto.name }}</option>
                    </select>
                </div><br/>
                <div class="form-group">
                    <label for="">Precio</label>
                    <input type="text" class="form-control"  [(ngModel)]="compra.precio" disabled>
                </div><br/>
                <div class="form-group">
                    <label for="">Cantidad</label>
                    <input type="text" class="form-control" [(ngModel)]="compra.cantidad">
                </div><br/>
                <div class="form-group">
                    <button class="btn btn-primary env" (click)="agregar()" >Agregar</button>
                </div>
            </div>
            
            <div class="col-7">
                <table class="table">
                    <thead>
                        <tr class="text-center">
                            <th>Producto</th>
                            <th>Cantidad</th>
                            <th>Precio</th>
                            <th>Sub total</th>
                            <th>Eliminar</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="text-center" *ngFor="let p of productos_detalle; let i = index">
                            <td>{{p.producto_nombre}}</td>
                            <td>{{p.cantidad}}</td>
                            <td>{{p.precio}}</td>
                            <td>{{p.subtotal}}</td>
                            <td></td>
                        </tr>
                    </tbody>
                    <thead>
                        <tr class="text-center">
                            <th colspan="3"></th>                            
                            <th>Total: {{total}} </th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="text-center">
                            <td colspan="3"></td>                        
                        </tr>
                    </tbody>
                </table>
                <button class="btn btn-success env" (click)="guardarVenta()" >Guardar</button>
            </div>
        </div>
    </div>
</div>